<template>
  <div id="editor-div">
    <p><b>Format:</b> Alignment # Color # Font-Weight # Font-Size # Text</p>
    <p><b>Sample Text:</b> center # red # bold # 26 # Document Title</p>
    <textarea id="editor-textarea" contenteditable="true" v-on:keyup="userInput()" v-model="inputtext" />
  </div>
</template>
<script>
import EventBus from "./../eventbus";

export default {
  data() {
    return {
      inputtext: ""
    };
  },
  methods: {
    userInput() {
      this.$emit('updateStatus', 'In Process');
      EventBus.$emit("updatePreview", this.inputtext);
    }
  }
};
</script>

<style scoped>
#editor-div {
  border: 1px solid lightgray;
  height: 100%;
  width: 49%;
  float: left;
  padding: 15px;
  box-sizing: border-box;
}
#editor-textarea
{
  height: 80%;
  width: 99%
}
</style>